| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
isf_fifo_t Struct Reference

`#include <isf_fifo.h>`

Collaboration diagram for isf_fifo_t:

## Data Fields
uint8 * | pDataBuffer
uint8 * | pInsertPtr
uint8 * | pLastEntry
uint16 | sampleSize
LWSEM_STRUCT | bufferLock
uint8 | fifoState

## Detailed Description

Definition at line 18 of file isf_fifo.h.

## Field Documentation

LWSEM_STRUCT bufferLock

Lock for the shared data buffer

Definition at line 23 of file isf_fifo.h.

Referenced by isf_fifo_data_copy(), isf_fifo_free(), isf_fifo_init(), isf_fifo_lock(), isf_fifo_resize(), isf_fifo_try_lock(), and isf_fifo_unlock().

uint8 fifoState

Contains fifo state info including initialization state and buffer allocation type

Definition at line 24 of file isf_fifo.h.

Referenced by isf_fifo_el_clear(), isf_fifo_el_increment(), isf_fifo_el_traverse(), isf_fifo_free(), isf_fifo_init(), and isf_fifo_resize().

uint8* pDataBuffer

Pointer to the data buffer for the new sensor data samples

Definition at line 19 of file isf_fifo.h.

Referenced by isf_fifo_data_copy(), isf_fifo_el_clear(), isf_fifo_el_traverse(), isf_fifo_free(), isf_fifo_get_buffer_size(), isf_fifo_init(), and isf_fifo_resize().

uint8* pInsertPtr

Pointer to where the next sample goes when buffering multiple samples

Definition at line 20 of file isf_fifo.h.

Referenced by isf_fifo_el_clear(), isf_fifo_el_get_insert_pointer(), isf_fifo_el_increment(), isf_fifo_el_traverse(), isf_fifo_free(), and isf_fifo_init().

uint8* pLastEntry

Pointer to the last entry in the fifo. When the pInsertPtr equals lastEntry the fifo is full

Definition at line 21 of file isf_fifo.h.

Referenced by isf_fifo_data_copy(), isf_fifo_el_increment(), isf_fifo_free(), isf_fifo_get_buffer_size(), and isf_fifo_init().

uint16 sampleSize

The size of a single sample in bytes

Definition at line 22 of file isf_fifo.h.

Referenced by isf_fifo_el_increment(), isf_fifo_el_traverse(), isf_fifo_get_buffer_size(), isf_fifo_init(), and isf_fifo_resize().

The documentation for this struct was generated from the following file:

- ISF/Core/Include/isf_fifo.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.